package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Auzlvl {
    // 唯一ID，主键
    private String inr;

    // 业务机构
    private String branch;

    // 授权档次
    private String authlevel;

    // 业务/交易
    private String type;

    // 业务/交易编码
    private String code;

    // 授权币种
    private String relcur;

    // 授权金额
    private BigDecimal relamt;

    // 单次授权金额
    private BigDecimal autamt;

}
