package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:etauil:ETAUIL - Translatable Fields of Entity Address
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Etauil {

        //INR of the Entity Address
        private String etainr = NULLSTR;

        //Language
        private String uil = NULLSTR;

        //Zip Code of Post-Office Box
        private String pobzip = NULLSTR;

        //Location of Post-Office Box
        private String pobloc = NULLSTR;

        //Board of Managing Directors
        private String brddir = NULLSTR;

        //Supervisory Board
        private String brdsup = NULLSTR;

        //Address of Entity Group
        private String etgadr = NULLSTR;

        //Registered Office
        private String regoff = NULLSTR;

        //VAT Number
        private String vatnum = NULLSTR;

        //Further Details
        private String fthdet = NULLSTR;

        //Name in Letterhead
        private String letnam = NULLSTR;

        //Street in Letterhead
        private String letstr = NULLSTR;

        //Postbox in Letterhead
        private String letbox = NULLSTR;

        //Zip Code in Letterhead
        private String letzip = NULLSTR;

        //Location in Letterhead
        private String letloc = NULLSTR;

        //Name in Telex/Fax/Swift
        private String tfsnam = NULLSTR;

        //Street in Telex/Fax/Swift
        private String tfsstr = NULLSTR;

        //Postbox in Telex/Fax/Swift
        private String tfsbox = NULLSTR;

        //Zip Code in Telex/Fax/Swift
        private String tfszip = NULLSTR;

        //Location in Telex/Fax/Swift
        private String tfsloc = NULLSTR;
}