package com.brilliance.isc.bo;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:lck:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lck {

    //操作编号
    private String lckstr = NULLSTR;

    //操作用户
    private String lckusr = NULLSTR;

    //
    private BigDecimal lcksnr = Decimals.ZERO_SCALE2;

    //操作时间
    private Date lckdattim = NULLDATE;

    //
    private String lckhld = NULLSTR;

    //被锁定的交易
    private String lcktrn = NULLSTR;
}
