package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tdh {
    //主键
    private String inr = NULLSTR;

    //币种
    private String cur = NULLSTR;

    //节假日期
    private String dat = NULLSTR;

    //节假日来源 0-人工输入，1-批量导入
    private String datesource = NULLSTR;

    //节日名称
    private String dateday = NULLSTR;

    private String datStr = NULLSTR;
}
