package com.brilliance.isc.common.api.oit.vo;

import com.brilliance.isc.bo.Umd;
import com.brilliance.isc.common.oit.vo.NoticeVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
@ApiModel(value = "通知信息", description = "通知信息")
public class OitResponse extends AbstractCommonVo {
    private NoticeVo noticeVo;

    public OitResponse(NoticeVo noticeVo){
        this.noticeVo=noticeVo;
    }
}
