package com.brilliance.isc.common.api.usrmd.vo;

import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.bo.Umd;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@ApiModel(value = "统一名单待办夹请求信息", description = "统一名单待办夹请求信息")
@JsonIgnoreProperties(ignoreUnknown = true)
public class SptUmdRequest extends AbstractCommonVo {
    @ApiModelProperty(value = "当前交易码", name = "transName", required = true)
    private String transName = NULLSTR;
    @ApiModelProperty(value = "当前经办人员ID", name = "userId", required = true)
    private String userId = NULLSTR;
    private String sptinr;

    private List<Spt> sptList;

    private List<Umd> umdList;
}
