package com.brilliance.isc.common.invchk.vo;

import com.brilliance.isc.common.fft.Imgmod;
import com.brilliance.isc.common.fft.Invgrp;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Invsel {

    //发票代码
    private String invcod;
    //发票号码
    private String invnum;
    //发票种类
    private String invtyp;
    //平台外业务类型
    private String bustyp;
    //开票日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;
    //开票金额
    private BigDecimal invamt = new BigDecimal("0.00");
    //校验码后六位
    private String vrfcod;
    //影像id
    private String imgcod;
    //批注方编号
    private String antnum;
    //批注方名称
    private String antnam;
    //批注日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date antdat;
    //批注事项
    private String antdtl;
    //系统外其他业务描述
    private String busdcr;

    private Invgrp invgrp;

    private Invp invp;

    private Imgmod imgmod;
}
