package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lsblck;
import org.apache.ibatis.annotations.Param;

/**
 * (Lsblck)表数据库访问层
 *
 */
public interface LsblckMapper {

    /**
     * 向Lsblck表插入数据
     *
     * @param lsblck
     * @return
     */
    int insert(Lsblck lsblck);

    /**
     * 根据额度类型和额度对应的当事人PTY表主键查询Lsblck表数据
     *
     * @param lsntyp1
     * @param lsninr1
     * @param lsntyp2
     * @param lsninr2
     * @return
     */
    Lsblck queryLsblckByPtyInrAndTyp(@Param("lsntyp1") String lsntyp1, @Param("lsninr1") String lsninr1, @Param("lsntyp2") String lsntyp2, @Param("lsninr2") String lsninr2);

    /**
     * 根据pty主键删除lsblck数据
     *
     * @param lsninr2
     * @return
     */
    int deleteByLsnAll(@Param("lsntyp1") String lsntyp1, @Param("lsninr1") String lsninr1, @Param("lsntyp2") String lsntyp2, @Param("lsninr2") String lsninr2);
}
