package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BoacbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo opnbpdisc;

    private CbbVo opn1;

    private CbbVo rsv;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (opnbpdisc == null) {
            opnbpdisc = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
        if (rsv == null) {
            rsv = new CbbVo();
        }
    }
}
