package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.InnerReq;
import com.brilliance.isc.esb.model.inner.InnerReqCPC3;
import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.esb.model.inner.InnerResCPC3;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的定价系统接口
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerCpmServer {
    /**
     * CPC3 定价系统提供审批代码查询交易
     *
     * @param innerReqCPC3
     * @return
     */
    @PostMapping("/CPC3")
    InnerRes<InnerResCPC3> callCPC3(InnerReq<InnerReqCPC3> innerReqCPC3);
}
