package com.brilliance.isc.esb.model.cfarcv;

import java.util.Date;

/**
 * 存储错误信息
 */
public class Cfaerr {
    /**
     * Internal Unique ID
     */
    public String INR;
    /**
     * Version
     */
    public String VER;
    /**
     * 对应EBLINR
     */
    public String EBLINR;
    /**
     * 申报号码
     */
    public String RPTNO;
    /**
     * 创建日期
     */
    public Date DAT;
    /**
     * 错误内容
     */
    public String ERRTXT;
    /**
     * 状态[C:Create D:Done]
     */
    public String STA;
    /**
     * 对应文件名
     */
    public String FILNAM;

    public Cfaerr() {
    }

    public Cfaerr(String INR, String VER, String EBLINR, String RPTNO, Date DAT, String ERRTXT, String STA, String FILNAM) {
        this.INR = INR;
        this.VER = VER;
        this.EBLINR = EBLINR;
        this.RPTNO = RPTNO;
        this.DAT = DAT;
        this.ERRTXT = ERRTXT;
        this.STA = STA;
        this.FILNAM = FILNAM;
    }
}
