package com.brilliance.isc.esb.model.ebmp;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 6901 境内外币汇款中台请求国结付汇申请对外响应对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class Res6901 {

    /**
     * 中台流水号 [0,40]
     */
    public String ZHTLSH;

    /**
     * 是否成功标志 [0,7]
     */
    public String CHGBZH;

    /**
     * 错误信息 [0,140]
     */
    public String ERRMSG;

}
