package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

/**
 * 8110  系统外来帐信息查询
 */
public class ResO81102 {

    public List<ItemF81101> F81101 = new ArrayList<>();

    public static class ItemF81101 {

        /**
         * 业务编号[0,16]
         */
        public String YEWUBH;

        /**
         * 旧凭证号码[0,8]
         */
        public String JUPZHH;

        /**
         * 客户经理[0,8]
         */
        public String KHJLMC;

        /**
         * 结果文件密钥[0,8]
         */
        public String JGWJMY;

        /**
         * 凭证提交号[0,8]
         */
        public String PZHTJH;

        /**
         * 大小额标志[0,1]
         */
        public String DAXIBZ;

        /**
         * 借贷标记[0,1]
         */
        public String JIEDBZ;

        /**
         * 现代支付业务种类[0,2]
         */
        public String YEWUZL;

        /**
         * 现代支付报文类型[0,6]
         */
        public String BAWELX;

        /**
         * 收款人帐号[0,32]
         */
        public String SHKRZH;

        /**
         * 收款人姓名[0,80]
         */
        public String SHKRXM;

        /**
         * 执照注册地址[0,62]
         */
        public String ZZZCDZ;

        /**
         * 货币代号[0,2]
         */
        public String HUOBDH;

        /**
         * 交易金额[13,2]
         */
        public String JIO1JE;

        /**
         * 卖出金额[13,2]
         */
        public String MAICJE;

        /**
         * 风险金额[13,2]
         */
        public String FNXIJE;

        /**
         * 凭证种类[0,3]
         */
        public String PNGZZL;

        /**
         * 凭证日期[0,8]
         */
        public String PNGZRQ;

        /**
         * 凭证序号[0,8]
         */
        public String PNGZXH;

        /**
         * 对方帐号[0,32]
         */
        public String DUIFZH;

        /**
         * 客户中文名[0,80]
         */
        public String KEHZWM;

        /**
         * 地址[0,62]
         */
        public String DIZHII;

        /**
         * 直接参与行号[0,12]
         */
        public String ZJCYHH;

        /**
         * 开户行名[0,62]
         */
        public String KAIHHM;

        /**
         * 发起行行号[0,12]
         */
        public String FQHHAO;

        /**
         * 付款行名[0,62]
         */
        public String FUKNHM;

        /**
         * 备注信息[0,128]
         */
        public String BEIZXX;

        /**
         * 单位邮编[0,6]
         */
        public String DANWYB;

        /**
         * 费用负担[0,5]
         */
        public String FEIYCD;

        /**
         * 说明[0,128]
         */
        public String SHMING;

        /**
         * 日期[0,8]
         */
        public String RIQIII;

        /**
         * 挂帐柜员流水号[0,12]
         */
        public String GZG1LS;

        /**
         * 我入帐行帐号[0,21]
         */
        public String WRZHZH;

        /**
         * 被通知人名称[0,62]
         */
        public String BTZRMC;

        /**
         * 原柜员流水号[0,12]
         */
        public String YNGYLS;

    }

    /**
     * 提示信息[0,62]
     */
    public String TISHXI;

    public ResO81102() {
    }

    public ResO81102(List<ItemF81101> f81101, String TISHXI) {
        F81101 = f81101;
        this.TISHXI = TISHXI;
    }
}
