package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 8150组合交易对内响应模型
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerCommpose8150Res {
    public InnerCommpose8150Res() {
    }

    public InnerCommpose8150Res(InnerRes8150 o8150, InnerRes8151 o8151) {
        this.o8150 = o8150;
        this.o8151 = o8151;
    }

    /**
     * 8150报文体
     */
    public InnerRes8150 o8150;
    /**
     * 8151报文体
     */
    public InnerRes8151 o8151;

}
