package com.brilliance.isc.common.api.settle.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 获取核心8091接口的内部响应对象
 */
@Data
public class AccountResponseVo {

    /**
     * 账户代码
     */
    private String acctCode;

    /**
     * 账户余额
     */
    private BigDecimal acctBalance = BigDecimal.ZERO;

    /**
     * 客户号
     */
    private String kehhao;

    /**
     * 记录状态
     */
    private String jiluzt;

    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 账号性质
     */
    private String wjzhxz;

    /**
     * 账号性质名称
     */
    private String acctNatureName;
}
