package com.brilliance.isc.common.register.liaall.common;

import com.brilliance.isc.common.liaall.service.LiaallService;
import com.brilliance.isc.common.liaall.vo.LiaallVo;
import com.brilliance.isc.common.register.liaall.ILiaallRegisterModule;
import com.brilliance.isc.vo.component.bptbck.BptbckVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BptbckLiaallRegisterModule implements ILiaallRegisterModule {

    @Autowired
    private LiaallService liaallService;

    @Override
    public void registerModule(LiaallVo liaallVo) {
        BptbckVo bptbckVo = liaallVo.getRec().getBptbckVo();
        if (bptbckVo != null
                && bptbckVo.getBptbckg() != null
                && bptbckVo.getBptbckg().size() > 0) {
            liaallService.liaallSetAdditionalContract(bptbckVo.getWrkbpdgrp().getRec().getInr(), "BPD");
        }
    }
}
