package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:chlrpt:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Chlrpt {

        //Internal Unique ID
        private String inr = NULLSTR;

        //Message Referance
        private String msgref = NULLSTR;

        //Channel Flag
        private String chlflg = NULLSTR;

        //Direction '>'=Outgoing, '<'=Incoming
        private String dir = NULLSTR;

        //Creation Date of Entry
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat = NULLDATE;

        //Own Reference
        private String ownref = NULLSTR;

        //Receiver Key BIC
        private String biccod = NULLSTR;

        //Message Type MTXXX
        private String msgtyp = NULLSTR;

        //branch code of the other system
        private String branch = NULLSTR;

        //branch  name
        private String bchname = NULLSTR;

        //Inr of SMH
        private String smhinr = NULLSTR;

        //Internal Unique ID of Transaction
        private String trninr = NULLSTR;

        //Document Name File ID
        private String docfil = NULLSTR;

        //Interface Success Flag
        private String sucflg = NULLSTR;

        //Order of Message
        private  int ord ;

        //Total of message
        private  int tot ;

        //User ID
        private String usr = NULLSTR;

        //INR of original record
        private String oriinr = NULLSTR;

        //Inr of SMH
        private String smhsubinr = NULLSTR;
}