package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:eta:ETA - Entity Address
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Eta {

        //Internal Unique ID of Entity Address
        private String inr = NULLSTR;

        //Entity Address ID
        private String extkey = NULLSTR;

        //Name of the Entity Address
        private String nam = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Entity
        private String ety = NULLSTR;

        //Main ETA
        private String priflg = NULLSTR;

        //Entity Group of Entity Address
        private String etgextkey = NULLSTR;

        //Entity Group E-Mail Address
        private String etgeml = NULLSTR;

        //Phone Number
        private String tel = NULLSTR;

        //Fax Number
        private String fax = NULLSTR;

        //Telex Number
        private String tlx = NULLSTR;

        //E-Mail Address
        private String eml = NULLSTR;

        //BIC
        private String bic = NULLSTR;

        //Internet Address
        private String web = NULLSTR;

        //Bankleitzahl German Clearing Code
        private String blz = NULLSTR;

        //TradeConnect ID
        private String tid = NULLSTR;

        //Bolero RID
        private String bolrid = NULLSTR;
}