package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Feeref extends AbstractCommonVo {
    //inr
    private String inr = NULLSTR;

    //TRN表的inr
    private String trninr = NULLSTR;

    //业务编号对应的业务表
    private String objtyp = NULLSTR;

    //业务表的inr
    private String objinr = NULLSTR;

    //业务编号
    private String ownref = NULLSTR;

    //收费的subref
    private String sfref = NULLSTR;

    //时间
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dattim = NULLDATE;
}
