package com.brilliance.isc.bo;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:pts:PTS - Party per Contract
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Pts extends AbstractCommonVo {

        //Internal Unique ID of Contract Party
        private String inr = NULLSTR;

        //Object Type
        private String objtyp = NULLSTR;

        //Object INR
        private String objinr = NULLSTR;

        //Role of Address
        private String rol = NULLSTR;

        //Address Optional
        private String ptainr = NULLSTR;

        //Party Optional
        private String ptyinr = NULLSTR;

        //External Key of Address
        private String extkey = NULLSTR;

        //Address Block
        private String adrblk = NULLSTR;

        //Reference for Address Optional
        private String ref = NULLSTR;

        //Name of Party
        private String nam = NULLSTR;

        private String ptynam1 = NULLSTR;

        //Reference of Contract + Role
        private String ownref = NULLSTR;

        //Default Currency
        private String dftcur = NULLSTR;

        //Default Disposition
        private String dftdsp = NULLSTR;

        //Default Account
        private String dftact = NULLSTR;

        //Default Fee Currency
        private String dftfeecur = NULLSTR;

        //Default Address to Search Account
        private String dftactptainr = NULLSTR;

        //Default role for Settlement / settle via
        private String dftsetrol = NULLSTR;

        //Grouping Rule of Amounts
        private String glggrpflg = NULLSTR;

        //External Account
        private String extact = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Contact
        private String ptcnam = NULLSTR;

        //Contact OE Department/Extension
        private String ptcoe = NULLSTR;

        //info of issure
        private String issbaninf = NULLSTR;

        //Number of bank
        private String bankno = NULLSTR;

        //联行名称  电证用
        private String jigomc = NULLSTR;

        //地址  电证用
        private String dizhii = NULLSTR;

        //邮编  电证用
        private String youzbm = NULLSTR;

        //电话  电证用
        private String dihdig = NULLSTR;

        //中文名称
        private String cnnam = "";

        //中文地址
        private String cnadr = "";

        //英文名称
        private String ennam = "";

        //英文地址
        private String enadr = "";
}