package com.brilliance.isc.bo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class NitameInfoBo extends AbstractCommonVo {

    private BigDecimal engamt = Decimals.ZERO_SCALE2;

    private BigDecimal maxamt = Decimals.ZERO_SCALE2;

    private BigDecimal ameamt = Decimals.ZERO_SCALE2;

    private String amecur = "";

    private BigDecimal newamt = Decimals.ZERO_SCALE2;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date amedat;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date newexpdat;

    //对于开证来说 是否发707报文
    private String amemsgdonflg = "";

    @Override
    public void reset() {
        if (engamt == null) {
            engamt = Decimals.ZERO_SCALE2;
        }
        if (maxamt == null) {
            maxamt = Decimals.ZERO_SCALE2;
        }
        if (ameamt == null) {
            ameamt = Decimals.ZERO_SCALE2;
        }
        if (newamt == null) {
            newamt = Decimals.ZERO_SCALE2;
        }
    }
}
