package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * Transaction Support Functions for Additional Amount
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Aamset extends AbstractCommonVo {

    //Add. Amount utilized/settled
    private BigDecimal utlamt2 = Decimals.ZERO_SCALE2;

    //Doc. Amount utilized/settled
    private BigDecimal utlamt = Decimals.ZERO_SCALE2;

    //if not isempty check UTLAMT2 is deactivated
    private String amt2okflg = NULLSTR;

    private Aammod aammod;

    @Override
    public void reset() {

        if (aammod == null) {
            aammod = new Aammod();
        }
        aammod.reset();

    }

}