package com.brilliance.isc.vo;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class EcmRequestVo extends CommonResult {
   private String ztls;//机构流水
   private String opndatfrom;//开始时间
   private String opndatto; //截止时间
   private String ownref; //业务编号
   private String msgtyp;//报文类型
   private String sta;//业务状态
   private String smhtyp;//报文种类
   private String bwztai;//报文状态 
   private String remark;//退回附言
   private String backType;//退回方式
   private String branch;//机构号
   private String bchinr;//机构inr
   private List<Bch> bchLst;//机构列表
   private String typ;//查询类别
   private String ecminr;//ecm.inr
   private String trninr;//trn.inr
   /**
    * 排序字段
    */
   private String column;

   /**
    * 正序倒序
    */
   private String order;
}
