package com.brilliance.isc.vo.bop;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@Setter
@Getter
public class BopinfoVo {
   private String  boptyp;			//  申报类型

    private String rptno;			//  申报号码

    private String ptytyp;			//  客户类型

    private String medtyp;			//  结算方式

    private String  staflg;			//  业务状态

    private String  dattyp;			//  查询日期类型

    private String  ownref;			//  业务编号

    private String  datsrc;			//  数据来源

    private String  bopcur;			//  币种

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date frmdat;		//  起始日

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date tildat;			//  到期日

    private String  ownextkey;			//  机构号

    private String  ptynam;			//  客户名称

    private String branchcode;			//  金融机构标识码

    private String bassta;			//  基础信息状态

    private String dclsta;			//  申报信息状态

    private String vrfsta ;		//  管理信息状态

    private String custcod;		//  组织机构

    private String txcode;			//  交易编码

    private String actiontype;			//  操作类型

    private String custnm;			//  申报主体名称

    private String selectdat	;		//  日期类型

    private String usr;		 //  员工号

    private String paytyp;		 //  收付款性质

    private String bchlev;		 //  机构级别

    private String addsta;		 //  补录状态

    private String sndflg;		 //  检核状态

    private List<String> bchList = new ArrayList<>();  //查询机构列表

    private String extinfbop;			//  业务号码

    private String  branch;			//  机构号

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date ywcredat;		//  起始日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date ywtildat;			//  到期日

    private String bchcod;

    private String selsta;

    private Integer pageNum ;

    private Integer pageSize ;

    private String filnamsel;


}
