package com.brilliance.isc.vo.finance;

import com.brilliance.isc.bo.Lid;
import com.brilliance.isc.bo.Trd;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class TrdWithPtsCbbResponseVo extends Trd {

    /**
     * 币种
     */
    private String cur;

    /**
     * 融资金额
     */
    private BigDecimal amt;
    /**
     * 币种
     */
    private String opncur;
    /**
     * 融资余额
     */
    private BigDecimal opnamt;
    /**
     * 组织机构代码
     */
    private String juscod;
    /**
     * 支行名称
     */
    private String bchname;

    /**
     * 客户号
     */
    private String fipExtkey;

    /**
     * 客户名称
     */
    private String fipName;

    /**
     * 海外代付行
     */
    private String oseExtkey;

    /**
     * 海外代付行名称
     */
    private String oseName;

    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;
}

