package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitpcjStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private SwiaddVo swiadd;
    private String rejtypsel= NULLSTR;
    private String lettername = NULLSTR;
    private Boolean clsflg = false;
    private String instxt = NULLSTR;
    private Boolean adaflg = false;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
    }
}
