package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FftrefVo extends AbstractCommonVo {
    private String inr = NULLSTR;

    //Date of Creation
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = NULLDATE;

    //原一级福费廷借据号
    private String loanno = NULLSTR;

    //操作标识
    private String opeflg = NULLSTR;

    //二级福费廷借据号
    private String ownref = NULLSTR;

    private String trninr = NULLSTR;

    private String ver = NULLSTR;
}
