package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
* 
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lendoc extends AbstractCommonVo {
		private static Logger log = LoggerFactory.getLogger(Lendoc.class);

        //Input Account
        private  String actflg = NULLSTR;
        //ACT
        private  String account = NULLSTR;
        //Verification Certificate Number
        private  String vercerref = NULLSTR;
        //Declaration Number
        private  String decnum = NULLSTR;
        //XMLPanel botsetl1的内置block
        private  String botsetl1blk = NULLSTR;
        //XMLPanel setsuml3的内置block
        private  String setsuml3blk = NULLSTR;

}