package com.brilliance.isc.esb.model.ccrm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * 外汇展业风险等级同步请求对象
 */
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReqOC52 {

    /**
     * 渠道编号[0,10]
     */
    public String CHANNEL_NO;

    /**
     * 渠道名称[0,50]
     */
    public String CHANNEL_NAME;

    /**
     * 预留字段1[0,100]
     */
    public String ATTRIBUTE1;

    /**
     * 预留字段2[0,100]
     */
    public String ATTRIBUTE2;

    /**
     * 预留字段3[0,100]
     */
    public String ATTRIBUTE3;

    /**
     * 预留字段4[0,100]
     */
    public String ATTRIBUTE4;

    /**
     * 预留字段5[0,100]
     */
    public String ATTRIBUTE5;

    public List<ItemFOC521> FOC521 = new ArrayList<>();


}
