package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 8110  系统外来帐信息查询
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8110 {

    public List<Item8110> lst8110 = new LinkedList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8110 {

        /**
         * 业务编号
         */
        public String yewubh;

        /**
         * 旧凭证号码
         */
        public String jupzhh;

        /**
         * 客户经理
         */
        public String khjlmc;

        /**
         * 结果文件密钥
         */
        public String jgwjmy;

        /**
         * 凭证提交号
         */
        public String pzhtjh;

        /**
         * 大小额标志
         */
        public String daxibz;

        /**
         * 借贷标志
         */
        public String jiedbz;

        /**
         * 现代支付业务种类
         */
        public String yewuzl;

        /**
         * 现代支付报文类型
         */
        public String bawelx;

        /**
         * 收款人帐号
         */
        public String shkrzh;

        /**
         * 收款人姓名
         */
        public String shkrxm;

        /**
         * 执照注册地址
         */
        public String zzzcdz;

        /**
         * 货币代号
         */
        public String huobdh;

        /**
         * 交易金额
         */
        public String jio1je;

        /**
         * 卖出金额
         */
        public String maicje;

        /**
         * 风险金额
         */
        public String fnxije;

        /**
         * 凭证种类
         */
        public String pngzzl;

        /**
         * 凭证日期
         */
        public String pngzrq;

        /**
         * 凭证序号
         */
        public String pngzxh;

        /**
         * 对方账号
         */
        public String duifzh;

        /**
         * 客户中文名称
         */
        public String kehzwm;

        /**
         * 地址
         */
        public String dizhi;

        /**
         * 直接参与行行号
         */
        public String zjcyhh;

        /**
         * 开户行名
         */
        public String kaihhm;

        /**
         * 发起行行号
         */
        public String fqhhao;

        /**
         * 付款行名
         */
        public String fuknhm;

        /**
         * 备注信息
         */
        public String beizxx;

        /**
         * 单位邮编
         */
        public String danwyb;

        /**
         * 费用负担
         */
        public String feiycd;

        /**
         * 说明
         */
        public String shming;

        /**
         * 日期
         */
        public String riqiii;

        /**
         * 挂账柜员流水号
         */
        public String gzg1ls;

        /**
         * 我入账行账号
         */
        public String wrzhzh;

        /**
         * 被通知人名称
         */
        public String btzrmc;

        /**
         * 原柜员流水号
         */
        public String yngyls;

    }

    /**
     * 报表路径
     */
    public String baoblj;

    public InnerRes8110() {
    }

    public InnerRes8110(List<Item8110> lst8110, String baoblj) {
        this.lst8110 = lst8110;
        this.baoblj = baoblj;
    }
}
