package com.brilliance.isc.esb.model.inner.item;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ItemGe34 {
    /**
     * 业务参考号
     */
    public String businessno;

    /**
     * 购汇币种
     */
    public String currency;

    /**
     * 已购未付金额
     */
    public String havegwfed;

    /**
     * 申请状态
     */
    public String applystatus;

    /**
     * 客户外币账户
     */
    public String cuswbzh;

    /**
     * 对方账号
     */
    public String duifzh;

    /**
     * 付汇方式
     */
    public String paytype;

    public ItemGe34() {
    }

    public ItemGe34(String businessno, String currency, String havegwfed, String applystatus, String cuswbzh, String duifzh, String paytype) {
        this.businessno = businessno;
        this.currency = currency;
        this.havegwfed = havegwfed;
        this.applystatus = applystatus;
        this.cuswbzh = cuswbzh;
        this.duifzh = duifzh;
        this.paytype = paytype;
    }
}
