package com.brilliance.isc.esb.newmodel.tasks;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 任务执行器子任务表
 */
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
public class Extor {

    private String inr;
    /**
     * 执行器子任务执行规则
     */
    private String rule;
    /**
     * 执行器子任务参数类型
     */
    private String exttyp;
    /**
     * 执行器子任务注册时间
     */
    private String registtim;
    /**
     * 执行器子任务注册服务名
     */
    private String registsrvnam;

    /**
     * 备用字段
     */
    private String rmk1;
    /**
     * 备用字段
     */
    private String rmk2;
    /**
     * 备用字段
     */
    private String rmk3;
}
